SynapSynapDocs
Hub REST API

Brand

The Brand operations of the Hub REST API (1 operation).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/brand/kit

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

format?string
Default"json"
Value in"json""css""frame-md"
projectId?string
Formatuuid
workspaceId?string
Formatuuid

Response Body

The kit

application/json
  1. response
format*string
Value in"json""css""frame-md"
content*string
hash*string
brandWorkspaceId*string
brandIdentityId*string
projectId*string|null
resolvedVia*string
Value in"project""default-flag""only-brand"
Example Request
curl -X GET 'https://pod.example.com/api/hub/brand/kit'
Example Response
{  "format": "json",  "content": "string",  "hash": "string",  "brandWorkspaceId": "string",  "brandIdentityId": "string",  "projectId": "string",  "resolvedVia": "project"}